# Class CIM_VideoBIOSElement
extends CIM_SoftwareElement

VideoBIOSElement represents the low-level software that is loaded into non-volatile storage and used to bring up, configure and access a ComputerSystem's VideoController and Display.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_SoftwareElement
|
+--CIM_VideoBIOSElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | VideoBIOSElement represents the low-level software that is loaded into non-volatile storage and used to bring up, configure and access a ComputerSystem's VideoController and Display.
UMLPackagePath | string | CIM::Application::BIOS
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsShadowed | boolean |
Description | string | If true, indicates that the Video BIOS is shadowed.
MappingStrings | string | MIF.DMTF|Video BIOS|001.5
Manufacturer | string |
Description | string | Manufacturer of this SoftwareElement.
MappingStrings | string | MIF.DMTF|Video BIOS|001.2
MaxLen | uint32 | 256
Override | string | Manufacturer
ReleaseDate | datetime |
Description | string | Date that this BIOS was released.
MappingStrings | string | MIF.DMTF|Video BIOS|001.4
Version | string |
Description | string | Software Version should be in the form <Major>.<Minor>.<Revision> or <Major>.<Minor><letter><revision>.
Key | boolean | true
MappingStrings | string | MIF.DMTF|Video BIOS|001.3
MaxLen | uint32 | 64
Override | string | Version

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
BuildNumber | string | CIM_SoftwareElement
Caption | string | CIM_ManagedElement
CodeSet | string | CIM_SoftwareElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
IdentificationCode | string | CIM_SoftwareElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LanguageEdition | string | CIM_SoftwareElement
Name | string | CIM_SoftwareElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherTargetOS | string | CIM_SoftwareElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
SerialNumber | string | CIM_SoftwareElement
SoftwareElementID | string | CIM_SoftwareElement
SoftwareElementState | uint16 | CIM_SoftwareElement
Status | string | CIM_ManagedSystemElement
TargetOperatingSystem | uint16 | CIM_SoftwareElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods